Package org.opensaml.xacml.policy

# Interface ConditionType

All Superinterfaces:
  `ExpressionType`, `XACMLObject`, `XMLObject`

All Known Implementing Classes:
  `ConditionTypeImpl`

public interface ConditionType extends ExpressionType
XACML Condition schema type.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`DEFAULT_ELEMENT_LOCAL_NAME`
Local name of the element Condition.
`static final QName`
`DEFAULT_ELEMENT_NAME`
QName of the element Condition.
`static final String`
`SCHEMA_TYPE_LOCAL_NAME`
Local name of the XSI type.
`static final QName`
`SCHEMA_TYPE_NAME`
QName of the XSI type.

### Fields inherited from interface org.opensaml.xacml.policy.ExpressionType

`DEFAULT_ELEMENT_NAME_XACML20`

## Method Summary

Modifier and Type
Method
Description
`ExpressionType`
`getExpression()`
Gets the expression for this condition.
`void`
`setExpression(ExpressionType expression)`
Sets the expression for this condition.

### Methods inherited from interface org.opensaml.core.xml.XMLObject

`detach, ensureDOM, getDOM, getElementQName, getIDIndex, getNamespaceManager, getNamespaces, getNoNamespaceSchemaLocation, getObjectMetadata, getOrderedChildren, getParent, getSchemaLocation, getSchemaType, hasChildren, hasParent, isNil, isNilXSBoolean, releaseChildrenDOM, releaseDOM, releaseParentDOM, resolveID, resolveIDFromRoot, setDOM, setNil, setNil, setNoNamespaceSchemaLocation, setParent, setSchemaLocation`

## Field Details

### DEFAULT_ELEMENT_LOCAL_NAME

static final String DEFAULT_ELEMENT_LOCAL_NAME
Local name of the element Condition.

See Also:
  - Constant Field Values

### DEFAULT_ELEMENT_NAME

static final QName DEFAULT_ELEMENT_NAME
QName of the element Condition.

### SCHEMA_TYPE_LOCAL_NAME

static final String SCHEMA_TYPE_LOCAL_NAME
Local name of the XSI type.

See Also:
  - Constant Field Values

### SCHEMA_TYPE_NAME

static final QName SCHEMA_TYPE_NAME
QName of the XSI type.

## Method Details

### getExpression

ExpressionType getExpression()
Gets the expression for this condition.

Returns:
  expression for this condition

### setExpression

void setExpression(ExpressionType expression)
Sets the expression for this condition.

Parameters:
  `expression` - for this condition